<template>
  <div class="layout ">
    <header class="header ">
      <strong class="flex-1">
        <g-link to="/">{{ $static.metadata.siteName }}</g-link>
      </strong>
      <nav class="nav min-flex">
        <g-link class="nav__link" to="/">Home</g-link>
        <g-link class="nav__link" to="/transliteration-rules/"
          >Transliteration rules</g-link
        >
        <g-link class="nav__link" to="/about/">About</g-link>
      </nav>
      <base target="_blank" />
    </header>
    <slot />

    <footer class="flex-shrink">
      MyanmarToLatin &copy; Since 2020 Siethu Zawlwin
      <g-link class="" to="/about#privacy">Privacy</g-link>&nbsp;<g-link
        class=""
        to="/about#disclaimer"
        >Disclaimer</g-link
      >
    </footer>
  </div>
</template>

<static-query>
query {
  metadata {
    siteName
  }
}
</static-query>

<style>
.nav {
}

.nav__link {
  margin-left: 20px;
}
</style>
<script>
//https://www.w3schools.com/js/js_cookies.asp

export default {
  metaInfo: {
    //title: "Hello, world!",
  },
  data() {
    return {
      klaroManager: null,
    };
  },
  mounted() {
    this.klaroManager = klaro.getManager();
    const initGA = this.klaroManager.consents["googleAnalytics"];
    //console.log(initGA);
    if (initGA) this.$ga.enable();
    else {
     // console.log("show klaro cookie notification")
     // klaro.show(undefined, false); //undefined, true
       klaro.renderKlaro()//undefined,true,true
    }
   document.addEventListener("consentReset", this.resetKlaroCookie);
   document.addEventListener("consentUpdate", this.updateKlaroCookie);
  },
  beforeDestroy() {
    document.removeEventListener("consentReset", this.resetKlaroCookie);
    document.removeEventListener("consentUpdate", this.updateKlaroCookie);
  },
  methods:{
     updateKlaroCookie() {
      klaro.show(undefined, false);
    },
    resetKlaroCookie() {
      // console.log(klaro);
      // this.setCookie("consent_myanmartolatin", null, 0);
      // const getManager = klaro.getManager();
      //klaro.resetManagers()
    
      this.klaroManager.resetConsent();
      //console.log(this.klaroManager);

      //klaro.renderKlaro(undefined,true,false)
      klaro.show(undefined, false); //undefined, true
      // klaro.initialize()
    }
  }
};
</script>
